"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const component_1 = require("./component");
const tia_extjs_query_1 = require("../tia-extjs-query");
const extjs_utils_1 = require("../../extjs-utils");
const compName = 'Form';
/**
 * gT.eC.form.a or gT.eC.form.actions
 */
class FormActions extends component_1.ComponentActions {
}
FormActions.compName = compName;
exports.FormActions = FormActions;
/**
 * gT.eC.form.c or gT.eC.form.checks
 */
class FormChecks extends component_1.ComponentChecks {
}
FormChecks.compName = compName;
exports.FormChecks = FormChecks;
/**
 * gT.eC.form.l or gT.eC.form.logs
 */
class FormLogs extends component_1.ComponentLogs {
    /**
     * Prints the form content to the test log.
     * @includingStores - use true to just include store and print displayField,
     * 1 - to print only displayField, name and text fields (if exist)
     * and 2 to force store printing all fields.
     */
    static async content(tEQ, includingStores, idForLog) {
        const result = await tia_extjs_query_1.queryAndAction({
            tEQ,
            action: `return tiaEJ.ctByObj.getForm(cmp, ${includingStores});`,
            idForLog,
            enableLog: false,
        });
        gIn.logger.logln(extjs_utils_1.getCISContent('Content', tEQ, this.compName, idForLog, result, true));
    }
}
FormLogs.compName = compName;
exports.FormLogs = FormLogs;
class FormAPI {
}
FormAPI.a = FormActions;
FormAPI.actions = FormActions;
FormAPI.c = FormChecks;
FormAPI.checks = FormChecks;
FormAPI.l = FormLogs;
FormAPI.logs = FormLogs;
exports.FormAPI = FormAPI;
//# sourceMappingURL=form.js.map