"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const component_1 = require("./component");
const tia_extjs_query_1 = require("../tia-extjs-query");
const compName = 'GridColumn';
/**
 * gT.eC.gridcolumn.a or gT.eC.gridcolumn.actions
 */
class GridColumnActions extends component_1.ComponentActions {
    /**
     * Left mouse click on GridColumn trigger element.
     */
    static async clickTrigger(tEQ, idForLog, enableLog) {
        return gT.e.q.wrap({
            tEQ,
            compName,
            idForLog,
            act: async () => {
                const { el, trigger } = await tia_extjs_query_1.queryAndAction({
                    tEQ,
                    action: 'return { el: cmpInfo.constProps.domEl, trigger: cmpInfo.constProps.triggerEl } ;',
                    idForLog,
                    enableLog: false,
                });
                await gT.sOrig.driver
                    .actions({ bridge: true })
                    .move({
                    origin: el,
                    x: 1,
                    y: 1,
                    duration: 0,
                })
                    .perform();
                await gT.sOrig.driver.wait(gT.sOrig.until.elementIsVisible(trigger));
                await trigger.click();
            },
            actionDesc: 'Click trigger',
            enableLog,
        });
    }
}
GridColumnActions.compName = compName;
exports.GridColumnActions = GridColumnActions;
/**
 * gT.eC.gridcolumn.c or gT.eC.gridcolumn.checks
 */
class GridColumnChecks extends component_1.ComponentChecks {
}
GridColumnChecks.compName = compName;
exports.GridColumnChecks = GridColumnChecks;
/**
 * gT.eC.gridcolumn.l or gT.eC.gridcolumn.logs
 */
class GridColumnLogs extends component_1.ComponentLogs {
}
GridColumnLogs.compName = compName;
exports.GridColumnLogs = GridColumnLogs;
class GridColumnAPI {
}
GridColumnAPI.a = GridColumnActions;
GridColumnAPI.actions = GridColumnActions;
GridColumnAPI.c = GridColumnChecks;
GridColumnAPI.checks = GridColumnChecks;
GridColumnAPI.l = GridColumnLogs;
GridColumnAPI.logs = GridColumnLogs;
exports.GridColumnAPI = GridColumnAPI;
//# sourceMappingURL=gridcolumn.js.map