"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const component_1 = require("./component");
const tia_extjs_query_1 = require("../tia-extjs-query");
const compName = 'TabPanel';
/**
 * gT.eC.tabpanel.a or gT.eC.tabpanel.actions
 */
class TabPanelActions extends component_1.ComponentActions {
    /**
     * Sets the active card using card id.
     * This is non - Selenium action based on
     * https://docs.sencha.com/extjs/6.5.3/classic/Ext.tab.Panel.html#method-setActiveTab
     * Note: If you are not ExtJs programmer - just avoid this method.
     * Use EJ Explorer to get component and TEQ for click.
     * @param cardId - id of the card to set.
     */
    static async setActiveTabByCardId(tEQ, cardId, idForLog, enableLog) {
        return gIn.wrap({
            msg: `${compName} ${idForLog ? `${idForLog} ` : ''}"${tEQ}": select tab by cardId: "${cardId}" ... `,
            enableLog,
            act: () => tia_extjs_query_1.queryAndAction({
                tEQ,
                action: `cmp.setActiveTab('${cardId}');`,
                enableLog: false,
            }),
        });
    }
}
TabPanelActions.compName = compName;
exports.TabPanelActions = TabPanelActions;
/**
 * gT.eC.tabpanel.c or gT.eC.tabpanel.checks
 */
class TabPanelChecks extends component_1.ComponentChecks {
}
TabPanelChecks.compName = compName;
exports.TabPanelChecks = TabPanelChecks;
/**
 * gT.eC.tabpanel.l or gT.eC.tabpanel.logs
 */
class TabPanelLogs extends component_1.ComponentLogs {
}
TabPanelLogs.compName = compName;
exports.TabPanelLogs = TabPanelLogs;
class TabPanelAPI {
}
TabPanelAPI.a = TabPanelActions;
TabPanelAPI.actions = TabPanelActions;
TabPanelAPI.c = TabPanelChecks;
TabPanelAPI.checks = TabPanelChecks;
TabPanelAPI.l = TabPanelLogs;
TabPanelAPI.logs = TabPanelLogs;
exports.TabPanelAPI = TabPanelAPI;
//# sourceMappingURL=tabpanel.js.map