"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const _ = __importStar(require("lodash"));
const funcs = ['error', 'warn', 'info', 'verbose', 'debug', 'silly'];
/**
 *
 * @param prefix - to add to the first argument.
 */
function winstonMock(prefix) {
    let allowedLevel;
    const logger = {};
    const userStrLevel = process.env.LOG_LEVEL;
    if (userStrLevel) {
        allowedLevel = funcs.indexOf(userStrLevel);
        if (allowedLevel === -1) {
            throw new Error('Incorrect LOG_LEVEL env var.');
        }
    }
    else {
        allowedLevel = funcs.length;
    }
    for (let curLevel = 0; curLevel < funcs.length; curLevel++) {
        const func = funcs[curLevel];
        logger[func] = (...args) => {
            const localArgs = _.cloneDeep(args);
            if (curLevel <= allowedLevel && localArgs) {
                localArgs[0] = prefix + `${func}: ` + localArgs[0];
                for (const str of localArgs) {
                    if (typeof str === 'string') {
                        gT.l.println(str);
                    }
                    else {
                        gT.l.println(gIn.textUtils.valToStr(str));
                    }
                }
            }
        };
    }
    return logger;
}
exports.default = winstonMock;
//# sourceMappingURL=winston-mock.js.map