"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const loggerCfg = __importStar(require("./loggers/logger-cfg"));
const cLogger = __importStar(require("./loggers/console-logger"));
const logger = __importStar(require("./loggers/logger"));
const tracer = __importStar(require("./tracer"));
const fileUtils = __importStar(require("../utils/file-utils"));
const textUtils = __importStar(require("../utils/text-utils"));
const testInfo = __importStar(require("./test-info"));
const diffUtils = __importStar(require("../utils/diff-utils"));
const mailUtils = __importStar(require("../utils/mail-utils"));
const remoteDriverUtils = __importStar(require("../utils/remote-driver-utils"));
const wrap_1 = __importDefault(require("./wrap"));
const engineConsts = __importStar(require("../config/engine-constants"));
const suiteConfigDefault = __importStar(require("../config/default-suite-config"));
const globalConfigDefault = __importStar(require("../config/default-global-config"));
const dirConfigDefault = __importStar(require("../config/default-dir-config"));
const l = __importStar(require("../api/log/log"));
const t = __importStar(require("../api/test"));
const lL = __importStar(require("../api/low-level"));
const hL = __importStar(require("../api/high-level"));
const a = __importStar(require("../api/assertions"));
const timeUtils = __importStar(require("../utils/time-utils"));
const nodeUtils = __importStar(require("../utils/nodejs-utils"));
// eslint-disable-next-line @typescript-eslint/ban-ts-ignore
// @ts-ignore
const commonConsts = require("../common-utils/common-constants");
// eslint-disable-next-line @typescript-eslint/ban-ts-ignore
// @ts-ignore
const commonMiscUtils = require("../common-utils/common-misc-utils");
const extjs_components_1 = require("../api/extjs/new-api/components/extjs-components");
const utils_index_1 = __importDefault(require("../api/utils/utils-index"));
const winston_mock_1 = __importDefault(require("../api/log/winston-mock"));
const r_stream_to_log_1 = __importDefault(require("../api/log/r-stream-to-log"));
/**
 * **[[GlobalTiaObjects|gT]].logUtils**
 */
class LogUtils {
}
LogUtils.winstonMock = winston_mock_1.default;
LogUtils.rStreamToLog = r_stream_to_log_1.default;
exports.LogUtils = LogUtils;
const extjs_index_1 = require("../api/extjs/extjs-index");
// Chromedriver needs nodejs.
process.env.PATH = process.env.PATH + path.delimiter + path.dirname(process.execPath);
process.env.SELENIUM_PROMISE_MANAGER = '0';
const chromedriver_1 = require("chromedriver");
process.env.PATH = chromedriver_1.path + path.delimiter + process.env.PATH;
const wdModule = __importStar(require("selenium-webdriver"));
const chrome = __importStar(require("selenium-webdriver/chrome"));
const http_1 = require("selenium-webdriver/http");
const firefox = __importStar(require("selenium-webdriver/firefox"));
const input = __importStar(require("selenium-webdriver/lib/input"));
/**
 * **[[GlobalTiaObjects|gT]].sOrig**
 */
class OriginalSeleniumAPI {
}
OriginalSeleniumAPI.wdModule = wdModule;
OriginalSeleniumAPI.by = wdModule.By;
OriginalSeleniumAPI.key = wdModule.Key;
OriginalSeleniumAPI.until = wdModule.until;
OriginalSeleniumAPI.input = input;
OriginalSeleniumAPI.driverLogType = wdModule.logging.Type.DRIVER;
OriginalSeleniumAPI.browserLogType = wdModule.logging.Type.BROWSER;
OriginalSeleniumAPI.chrome = chrome;
OriginalSeleniumAPI.firefox = firefox;
OriginalSeleniumAPI.Executor = http_1.Executor;
OriginalSeleniumAPI.Client = http_1.HttpClient;
exports.OriginalSeleniumAPI = OriginalSeleniumAPI;
/**
 * **[[GlobalTiaObjects|gT]].cLParams**
 */
class CommandLineParams {
}
CommandLineParams.tooLongTime = engineConsts.tooLongTime;
exports.CommandLineParams = CommandLineParams;
/**
 * **gIn**
 */
class GlobalTiaInnerObjects {
}
GlobalTiaInnerObjects.loggerCfg = loggerCfg;
GlobalTiaInnerObjects.cLogger = cLogger;
GlobalTiaInnerObjects.logger = logger;
GlobalTiaInnerObjects.tracer = tracer;
GlobalTiaInnerObjects.fileUtils = fileUtils;
GlobalTiaInnerObjects.textUtils = textUtils;
GlobalTiaInnerObjects.tU = textUtils;
GlobalTiaInnerObjects.tInfo = testInfo;
GlobalTiaInnerObjects.diffUtils = diffUtils;
GlobalTiaInnerObjects.mailUtils = mailUtils;
GlobalTiaInnerObjects.remoteDriverUtils = remoteDriverUtils;
GlobalTiaInnerObjects.wrap = wrap_1.default;
GlobalTiaInnerObjects.tracePrefix = '';
GlobalTiaInnerObjects.chromeDriverPath = chromedriver_1.path;
exports.GlobalTiaInnerObjects = GlobalTiaInnerObjects;
const driver = __importStar(require("../api/selenium/sel-driver"));
const wait = __importStar(require("../api/selenium/sel-waits"));
const uA = __importStar(require("../api/selenium/sel-user-actions"));
const browser = __importStar(require("../api/selenium/sel-browser"));
const sel_misc_1 = require("../api/selenium/sel-misc");
/**
 * **[[GlobalTiaObjects|gT]].s**
 */
class SeleniumAPI {
}
SeleniumAPI.driver = driver;
SeleniumAPI.wait = wait;
SeleniumAPI.uA = uA;
SeleniumAPI.browser = browser;
SeleniumAPI.idToIdForLogObj = sel_misc_1.idToIdForLogObj;
exports.SeleniumAPI = SeleniumAPI;
/**
 * **gT**
 */
class GlobalTiaObjects {
}
/**
 * Tia engine constants.
 */
GlobalTiaObjects.engineConsts = engineConsts;
GlobalTiaObjects.suiteConfigDefault = suiteConfigDefault;
GlobalTiaObjects.globalConfigDefault = globalConfigDefault;
GlobalTiaObjects.dirConfigDefault = dirConfigDefault;
/**
 * Selenium API.
 */
GlobalTiaObjects.s = SeleniumAPI;
/**
 * Utilities for logging.
 */
GlobalTiaObjects.l = l;
/**
 * Misc. test utils.
 */
GlobalTiaObjects.t = t;
/**
 * Low level API for tests. It can be used for helpers writing.
 */
GlobalTiaObjects.lL = lL;
/**
 * High level API for tests. It can be used for helpers writing.
 */
GlobalTiaObjects.hL = hL;
/**
 * Assertions
 */
GlobalTiaObjects.a = a;
/**
 * Utilities.
 */
GlobalTiaObjects.u = utils_index_1.default;
/**
 * ExtJs common API
 */
GlobalTiaObjects.e = extjs_index_1.ExtJsAPI;
GlobalTiaObjects.commonConsts = commonConsts;
GlobalTiaObjects.cC = commonConsts;
GlobalTiaObjects.commonMiscUtils = commonMiscUtils;
GlobalTiaObjects.sOrig = OriginalSeleniumAPI; // TODO: change type.
/**
 * ExtJs Components API.
 */
GlobalTiaObjects.eC = extjs_components_1.ExtJsCmpAPI;
/**
 *
 */
GlobalTiaObjects.nodeUtils = nodeUtils;
GlobalTiaObjects.timeUtils = timeUtils;
GlobalTiaObjects.logUtils = LogUtils;
/**
 * Supported browsers.
 */
GlobalTiaObjects.browsers = [
    'chrome',
    'firefox',
];
GlobalTiaObjects.cLParams = CommandLineParams;
exports.GlobalTiaObjects = GlobalTiaObjects;
global.gT = GlobalTiaObjects;
global.gIn = GlobalTiaInnerObjects;
// require('../api/api-index');
//# sourceMappingURL=global-objects.js.map